HTTP::Body::XFormsMultipart(3)

NAME
HTTP::Body::XFormsMultipart - HTTP Body XForms multipart/related submission Parser

SYNOPSIS
    use HTTP::Body::XForms;

DESCRIPTION
HTTP Body XForms submission Parser. Inherits HTTP::Body::MultiPart.

This body type is used to parse XForms submission. In this case, the XML part that contains the model is indicated by the start attribute in the content-type. The XML content is stored unparsed on the parameter XForms:Model.

METHODS

init
    This function is overrided to detect the start part of the multipart/related post.

start
    Defines the start part of the multipart/related body.

handler
    This function is overrided to differ the start part, which should be set as the XForms:Model param if its content type is application/xml.

AUTHOR
Daniel Ruoso "daniel@ruoso.com"

LICENSE
This library is free software . You can redistribute it and/or modify it under the same terms as perl itself.